package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.codehaus.jackson.map.ObjectMapper;

import java.io.IOException;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2021/4/9 0009
 */
public class BatchCourseAdjustDto {

    @ApiModelProperty(value = "需要调整的课程编号")
    private List<Long> courseScheduleIds;

    @ApiModelProperty(value = "是否修改主教")
    private Boolean changeMainTeacher = false;

    @ApiModelProperty(value = "是否修改助教")
    private Boolean changeTeachingTeacher = false;

    @ApiModelProperty(value = "是否跳过节假日 true-跳过 false-不跳过", required = true)
    private Boolean isHoliday = false;

    @ApiModelProperty(value = "开始日期", required = true)
    private String startDate;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "课程暂停时间")
    private String pauseDate;

    @ApiModelProperty(value = "课程恢复时间")
    private String recoveryDate;

    @ApiModelProperty(value = "老师设置", required = true)
    private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

    @ApiModelProperty(value = "教学形式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "是否允许0课酬")
    private Boolean allowZeroSalary = false;

    @ApiModelProperty(value = "教学点")
    private Integer schoolId;

    @ApiModelProperty(value = "确认生成课程")
    private Boolean confirmGenerate = false;

    private Integer operatorId;

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getPauseDate() {
        return pauseDate;
    }

    public void setPauseDate(String pauseDate) {
        this.pauseDate = pauseDate;
    }

    public String getRecoveryDate() {
        return recoveryDate;
    }

    public void setRecoveryDate(String recoveryDate) {
        this.recoveryDate = recoveryDate;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public List<ClassGroupTeacherMapper> getClassGroupTeacherMapperList() {
        return classGroupTeacherMapperList;
    }

    public void setClassGroupTeacherMapperList(List<ClassGroupTeacherMapper> classGroupTeacherMapperList) {
        this.classGroupTeacherMapperList = classGroupTeacherMapperList;
    }

    public Boolean getConfirmGenerate() {
        return confirmGenerate;
    }

    public void setConfirmGenerate(Boolean confirmGenerate) {
        this.confirmGenerate = confirmGenerate;
    }

    public Boolean getChangeMainTeacher() {
        return changeMainTeacher;
    }

    public void setChangeMainTeacher(Boolean changeMainTeacher) {
        this.changeMainTeacher = changeMainTeacher;
    }

    public List<Long> getCourseScheduleIds() {
        return courseScheduleIds;
    }

    public void setCourseScheduleIds(List<Long> courseScheduleIds) {
        this.courseScheduleIds = courseScheduleIds;
    }

    public Boolean getChangeTeachingTeacher() {
        return changeTeachingTeacher;
    }

    public void setChangeTeachingTeacher(Boolean changeTeachingTeacher) {
        this.changeTeachingTeacher = changeTeachingTeacher;
    }

    public Boolean getHoliday() {
        return isHoliday;
    }

    public void setHoliday(Boolean holiday) {
        isHoliday = holiday;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public Boolean getAllowZeroSalary() {
        return allowZeroSalary;
    }

    public void setAllowZeroSalary(Boolean allowZeroSalary) {
        this.allowZeroSalary = allowZeroSalary;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }
}
